Package: groovy.sql

## [Java] Class GroovyRowResult

- groovy.sql.GroovyRowResult

- All Implemented Interfaces and Traits:
    Map

      public class GroovyRowResult
      extends GroovyObjectSupport

  Represents an extent of objects. It's primarily used by methods of Groovy's Sql class to return `ResultSet` data in map form; allowing access to the result of a SQL query by the name of the column, or by the column number.

  Authors:
    Jean-Louis Berliet

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRowResult (Map result)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `boolean` | `containsKey(Object key)` Checks if the result contains (ignoring case) the given key.
    `` | `boolean` | `containsValue(Object value)`
    `` | `Set<Map.Entry>` | `entrySet()`
    `` | `boolean` | `equals(Object o)`
    `` | `Object` | `get(Object property)` Find the property value for the given name (ignoring case).
    `` | `Object` | `getAt(int index)` Retrieve the value of the property by its index.
    `` | `Object` | `getProperty(String property)` Retrieve the value of the property by its (case-insensitive) name.
    `` | `int` | `hashCode()`
    `` | `boolean` | `isEmpty()`
    `` | `Set` | `keySet()`
    `` | `Object` | `put(Object key, Object value)` Associates the specified value with the specified property name in this result.
    `` | `void` | `putAll(Map t)` Copies all of the mappings from the specified map to this result.
    `` | `Object` | `remove(Object rawKey)`
    `` | `int` | `size()`
    `` | `String` | `toString()`
    `` | `Collection` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyRowResult(Map result)

  - ### Method Detail

    - #### public void clear()

    - #### public boolean containsKey(Object key)

      Checks if the result contains (ignoring case) the given key.

      Parameters:
        `key` - the property name to look for
      Returns:
        true if the result contains this property name

    - #### public boolean containsValue(Object value)

    - #### public Set<Map.Entry> entrySet()

    - #### public boolean equals(Object o)

    - #### public Object get(Object property)

      Find the property value for the given name (ignoring case).

      Parameters:
        `property` - the name of the property to get
      Returns:
        the property value

    - #### public Object getAt(int index)

      Retrieve the value of the property by its index. A negative index will count backwards from the last column.

      Parameters:
        `index` - is the number of the column to look at
      Returns:
        the value of the property

    - #### public Object getProperty(String property)

      Retrieve the value of the property by its (case-insensitive) name.

      Parameters:
        `property` - is the name of the property to look at
      Returns:
        the value of the property

    - #### public int hashCode()

    - #### public boolean isEmpty()

    - #### public Set keySet()

    - #### @SuppressWarnings("unchecked") public Object put(Object key, Object value)

      Associates the specified value with the specified property name in this result.

      Parameters:
        `key` - the property name for the result
        `value` - the property value for the result
      Returns:
        the previous value associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`.)

    - #### @SuppressWarnings("unchecked") public void putAll(Map t)

      Copies all of the mappings from the specified map to this result. If the map contains different case versions of the same (case-insensitive) key only the last (according to the natural ordering of the supplied map) will remain after the `putAll` method has returned.

      Parameters:
        `t` - the mappings to store in this result

    - #### public Object remove(Object rawKey)

    - #### public int size()

    - #### public String toString()

    - #### public Collection values()